/*******************************************************************************
Description:

  Header file ancillary.h
  Contains pointers to all ancillary data necessary for processing granule.
  Access through structure variable 'grn_anc'.

Revision History:
  10/2012     R. Frey   Original version

*******************************************************************************/

// For obtaininig and processing ancillary data.
float *g_sfct1;
float *g_sfct2;
float *g_snow;
float *g_ice;
float *g_frocn;
float *g_frlandice;
float *g_phis;
float *g_tpw1;
float *g_tpw2;
float *g_lst;
float *ti_sfct;
float *ti_tpw;
int nwp_rows;
int nwp_cols;
long int nwp_cells;

// Ancillary data for entire granule.
struct granule_ancillary {
  float *reynSST;
  float *ndvibk;
  unsigned char *eco;
  float *sfct;
  float *tpw;
  float *snowfr;
  float *landicefr;
  float *icefr;
  float *geos_ocnfr;
} grn_anc;
