/*******************************************************************************
 Description:

   Header file mask_processing_constants.h
   Contains definitions for various processing constants.

   Revision History:
   09/2012     R. Frey   Original version
   11/2012     R. Frey   Changed 'badsza_data' to 'badgeo_data'.
   08/2013     R. Frey   Eliminated 'max_vza' and 
                         added 'MODIS_max_vza' and 'VIIRS_max_vza'.
   08/2015     R. Frey   Added "min" and "max" macros.

*******************************************************************************/

#define nlcntx 3
#define necntx 3
#define lines_in_edge (nlcntx-1)/2
#define elems_in_edge (necntx-1)/2
#define num_diffs_surr (nlcntx * necntx) - 1
#define num_test_groups 5
#define min(a,b)  ((a) < (b) ? (a) : (b))
#define MODIS_max_vza 65.49
#define VIIRS_max_vza 70.13
#define dtr (3.14159 / 180.0)
#define rtd (180.0 / 3.14159)
#define bad_data -999.0
#define badgeo_data -327.67
#define conf_clr_thresh 0.99
#define prob_clr_thresh 0.95
#define prob_cld_thresh 0.66

#ifndef min
#define min(a,b)  ((a) < (b) ? (a) : (b))
#endif

#ifndef max
#define max(a,b)  ((a) < (b) ? (b) : (a))
#endif
